# Copyright (c) 2012 The Chromium Authors. All rights reserved.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.

{
  'dependencies': [
    '../base/base.gyp:base_static',
    '../crypto/crypto.gyp:crypto',
    '../google_apis/google_apis.gyp:google_apis',
    '../net/net.gyp:net',
    '../skia/skia.gyp:skia',
    '../sql/sql.gyp:sql',
    '../third_party/re2/re2.gyp:re2',
    '../third_party/zlib/google/zip.gyp:zip',
    '../third_party/zlib/zlib.gyp:zlib',
    '../third_party/WebKit/public/blink_headers.gyp:blink_headers',
    '../ui/accessibility/accessibility.gyp:accessibility',
    '../ui/accessibility/accessibility.gyp:ax_gen',
    '../ui/base/ui_base.gyp:ui_base',
    '../ui/events/events.gyp:events_base',
    '../ui/events/events.gyp:gesture_detection',
    '../ui/gfx/gfx.gyp:gfx',
    '../ui/gfx/gfx.gyp:gfx_geometry',
    '../ui/resources/ui_resources.gyp:ui_resources',
    '../ui/snapshot/snapshot.gyp:snapshot',
    'browser/service_worker/service_worker_proto.gyp:proto',
    'browser/speech/proto/speech_proto.gyp:speech_proto',
  ],
  'export_dependent_settings': [
    '../ui/accessibility/accessibility.gyp:ax_gen',
    # The public content API headers directly include Blink API headers, so we
    # have to export the blink header settings so that relative paths in these
    # headers resolve correctly.
    '../third_party/WebKit/public/blink_headers.gyp:blink_headers',
    # The public render_widget_host.h needs to re-export skia defines.
    '../skia/skia.gyp:skia',
  ],
  'include_dirs': [
    '..',
    '<(INTERMEDIATE_DIR)',
  ],
  'variables': {
    'public_browser_sources': [
      'public/browser/access_token_store.h',
      'public/browser/android/compositor.h',
      'public/browser/android/compositor_client.h',
      'public/browser/android/content_view_core.h',
      'public/browser/android/content_view_layer_renderer.h',
      'public/browser/android/devtools_auth.h',
      'public/browser/android/download_controller_android.h',
      'public/browser/android/external_video_surface_container.h',
      'public/browser/android/layer_tree_build_helper.h',
      'public/browser/android/synchronous_compositor_client.h',
      'public/browser/android/synchronous_compositor.cc',
      'public/browser/android/synchronous_compositor.h',
      'public/browser/android/ui_resource_client_android.h',
      'public/browser/android/ui_resource_provider.h',
      'public/browser/appcache_service.h',
      'public/browser/ax_event_notification_details.cc',
      'public/browser/ax_event_notification_details.h',
      'public/browser/blob_handle.h',
      'public/browser/browser_accessibility_state.h',
      'public/browser/browser_child_process_host.h',
      'public/browser/browser_child_process_host_delegate.cc',
      'public/browser/browser_child_process_host_delegate.h',
      'public/browser/browser_child_process_host_iterator.cc',
      'public/browser/browser_child_process_host_iterator.h',
      'public/browser/browser_child_process_observer.cc',
      'public/browser/browser_child_process_observer.h',
      'public/browser/browser_context.h',
      'public/browser/browser_ipc_logging.h',
      'public/browser/browser_main_parts.cc',
      'public/browser/browser_main_parts.h',
      'public/browser/browser_main_runner.h',
      'public/browser/browser_message_filter.cc',
      'public/browser/browser_message_filter.h',
      'public/browser/browser_plugin_guest_delegate.cc',
      'public/browser/browser_plugin_guest_delegate.h',
      'public/browser/browser_plugin_guest_manager.cc',
      'public/browser/browser_plugin_guest_manager.h',
      'public/browser/browser_ppapi_host.h',
      'public/browser/browser_shutdown.h',
      'public/browser/browser_url_handler.h',
      'public/browser/browser_thread.h',
      'public/browser/browser_thread_delegate.h',
      'public/browser/cert_store.h',
      'public/browser/child_process_data.h',
      'public/browser/child_process_security_policy.h',
      'public/browser/color_chooser.h',
      'public/browser/certificate_request_result_type.h',
      'public/browser/content_browser_client.cc',
      'public/browser/content_browser_client.h',
      'public/browser/context_factory.h',
      'public/browser/cookie_store_factory.h',
      'public/browser/desktop_media_id.cc',
      'public/browser/desktop_media_id.h',
      'public/browser/desktop_notification_delegate.h',
      'public/browser/devtools_agent_host.h',
      'public/browser/devtools_agent_host_client.h',
      'public/browser/devtools_external_agent_proxy.h',
      'public/browser/devtools_external_agent_proxy_delegate.h',
      'public/browser/download_danger_type.h',
      'public/browser/devtools_frontend_host.h',
      'public/browser/devtools_http_handler.h',
      'public/browser/devtools_http_handler_delegate.h',
      'public/browser/devtools_manager_delegate.h',
      'public/browser/devtools_target.h',
      'public/browser/dom_operation_notification_details.h',
      'public/browser/dom_storage_context.h',
      'public/browser/download_destination_observer.h',
      'public/browser/download_interrupt_reason_values.h',
      'public/browser/download_interrupt_reasons.h',
      'public/browser/download_item.h',
      'public/browser/download_manager.h',
      'public/browser/download_manager_delegate.cc',
      'public/browser/download_manager_delegate.h',
      'public/browser/download_save_info.cc',
      'public/browser/download_save_info.h',
      'public/browser/download_url_parameters.cc',
      'public/browser/download_url_parameters.h',
      'public/browser/favicon_status.cc',
      'public/browser/favicon_status.h',
      'public/browser/file_descriptor_info.h',
      'public/browser/font_list_async.h',
      'public/browser/geolocation_provider.h',
      'public/browser/global_request_id.h',
      'public/browser/gpu_data_manager.h',
      'public/browser/gpu_data_manager_observer.h',
      'public/browser/histogram_fetcher.h',
      'public/browser/host_zoom_map.h',
      'public/browser/indexed_db_context.h',
      'public/browser/indexed_db_info.cc',
      'public/browser/indexed_db_info.h',
      'public/browser/interstitial_page.h',
      'public/browser/invalidate_type.h',
      'public/browser/javascript_dialog_manager.cc',
      'public/browser/javascript_dialog_manager.h',
      'public/browser/load_from_memory_cache_details.cc',
      'public/browser/load_from_memory_cache_details.h',
      'public/browser/load_notification_details.h',
      'public/browser/local_storage_usage_info.cc',
      'public/browser/local_storage_usage_info.h',
      'public/browser/location_provider.h',
      'public/browser/media_capture_devices.h',
      'public/browser/media_device_id.cc',
      'public/browser/media_device_id.h',
      'public/browser/native_web_keyboard_event.h',
      'public/browser/navigation_controller.cc',
      'public/browser/navigation_controller.h',
      'public/browser/navigation_details.cc',
      'public/browser/navigation_details.h',
      'public/browser/navigation_entry.h',
      'public/browser/navigation_type.h',
      'public/browser/notification_details.h',
      'public/browser/notification_observer.h',
      'public/browser/notification_registrar.cc',
      'public/browser/notification_registrar.h',
      'public/browser/notification_service.h',
      'public/browser/notification_source.h',
      'public/browser/notification_types.h',
      'public/browser/overscroll_configuration.h',
      'public/browser/page_navigator.cc',
      'public/browser/page_navigator.h',
      'public/browser/pepper_flash_settings_helper.h',
      'public/browser/plugin_data_remover.h',
      'public/browser/plugin_service.h',
      'public/browser/plugin_service_filter.h',
      'public/browser/power_save_blocker.h',
      'public/browser/profiler_controller.h',
      'public/browser/profiler_subscriber.h',
      'public/browser/push_messaging_service.h',
      'public/browser/quota_permission_context.h',
      'public/browser/render_frame_host.h',
      'public/browser/render_process_host.h',
      'public/browser/render_process_host_factory.h',
      'public/browser/render_process_host_observer.h',
      'public/browser/render_view_host.h',
      'public/browser/render_widget_host.h',
      'public/browser/render_widget_host_view.h',
      'public/browser/render_widget_host_view_frame_subscriber.h',
      'public/browser/render_widget_host_view_mac_delegate.h',
      'public/browser/resource_context.h',
      'public/browser/resource_controller.h',
      'public/browser/resource_dispatcher_host.h',
      'public/browser/resource_dispatcher_host_delegate.cc',
      'public/browser/resource_dispatcher_host_delegate.h',
      'public/browser/resource_dispatcher_host_login_delegate.h',
      'public/browser/resource_request_details.cc',
      'public/browser/resource_request_details.h',
      'public/browser/resource_request_info.h',
      'public/browser/resource_throttle.h',
      'public/browser/save_page_type.h',
      'public/browser/screen_orientation_dispatcher_host.h',
      'public/browser/screen_orientation_provider.h',
      'public/browser/service_worker_context.h',
      'public/browser/service_worker_usage_info.cc',
      'public/browser/service_worker_usage_info.h',
      'public/browser/session_storage_namespace.h',
      'public/browser/session_storage_usage_info.h',
      'public/browser/signed_certificate_timestamp_store.h',
      'public/browser/site_instance.h',
      'public/browser/speech_recognition_event_listener.h',
      'public/browser/speech_recognition_manager.h',
      'public/browser/speech_recognition_manager_delegate.h',
      'public/browser/speech_recognition_session_config.cc',
      'public/browser/speech_recognition_session_config.h',
      'public/browser/speech_recognition_session_context.cc',
      'public/browser/speech_recognition_session_context.h',
      'public/browser/ssl_host_state_delegate.h',
      'public/browser/storage_partition.h',
      'public/browser/stream_handle.h',
      'public/browser/tracing_controller.h',
      'public/browser/user_metrics.h',
      'public/browser/utility_process_host.h',
      'public/browser/vibration_provider.h',
      'public/browser/web_contents.cc',
      'public/browser/web_contents.h',
      'public/browser/web_contents_delegate.cc',
      'public/browser/web_contents_delegate.h',
      'public/browser/web_contents_observer.cc',
      'public/browser/web_contents_observer.h',
      'public/browser/web_contents_user_data.h',
      'public/browser/web_contents_view_delegate.cc',
      'public/browser/web_contents_view_delegate.h',
      'public/browser/web_drag_dest_delegate.h',
      'public/browser/web_ui.h',
      'public/browser/web_ui_controller.cc',
      'public/browser/web_ui_controller.h',
      'public/browser/web_ui_controller_factory.h',
      'public/browser/web_ui_data_source.h',
      'public/browser/url_data_source.cc',
      'public/browser/url_data_source.h',
      'public/browser/web_ui_message_handler.h',
      'public/browser/worker_service.h',
      'public/browser/worker_service_observer.h',
      'public/browser/zygote_host_linux.h',
    ],
    'private_browser_sources': [
      'browser/accessibility/accessibility_mode_helper.cc',
      'browser/accessibility/accessibility_mode_helper.h',
      'browser/accessibility/accessibility_tree_formatter.cc',
      'browser/accessibility/accessibility_tree_formatter.h',
      'browser/accessibility/accessibility_tree_formatter_android.cc',
      'browser/accessibility/accessibility_tree_formatter_mac.mm',
      'browser/accessibility/accessibility_tree_formatter_utils_win.cc',
      'browser/accessibility/accessibility_tree_formatter_utils_win.h',
      'browser/accessibility/accessibility_tree_formatter_win.cc',
      'browser/accessibility/accessibility_ui.cc',
      'browser/accessibility/accessibility_ui.h',
      'browser/accessibility/browser_accessibility.cc',
      'browser/accessibility/browser_accessibility.h',
      'browser/accessibility/browser_accessibility_android.cc',
      'browser/accessibility/browser_accessibility_android.h',
      'browser/accessibility/browser_accessibility_cocoa.h',
      'browser/accessibility/browser_accessibility_cocoa.mm',
      'browser/accessibility/browser_accessibility_mac.h',
      'browser/accessibility/browser_accessibility_mac.mm',
      'browser/accessibility/browser_accessibility_manager.cc',
      'browser/accessibility/browser_accessibility_manager.h',
      'browser/accessibility/browser_accessibility_manager_android.cc',
      'browser/accessibility/browser_accessibility_manager_android.h',
      'browser/accessibility/browser_accessibility_manager_mac.h',
      'browser/accessibility/browser_accessibility_manager_mac.mm',
      'browser/accessibility/browser_accessibility_manager_win.cc',
      'browser/accessibility/browser_accessibility_manager_win.h',
      'browser/accessibility/browser_accessibility_state_impl.cc',
      'browser/accessibility/browser_accessibility_state_impl_win.cc',
      'browser/accessibility/browser_accessibility_state_impl.h',
      'browser/accessibility/browser_accessibility_win.cc',
      'browser/accessibility/browser_accessibility_win.h',
      'browser/android/browser_jni_registrar.cc',
      'browser/android/browser_jni_registrar.h',
      'browser/android/browser_startup_controller.cc',
      'browser/android/browser_startup_controller.h',
      'browser/android/child_process_launcher_android.cc',
      'browser/android/child_process_launcher_android.h',
      'browser/android/composited_touch_handle_drawable.cc',
      'browser/android/composited_touch_handle_drawable.h',
      'browser/android/content_readback_handler.cc',
      'browser/android/content_readback_handler.h',
      'browser/android/content_settings.cc',
      'browser/android/content_settings.h',
      'browser/android/content_startup_flags.cc',
      'browser/android/content_startup_flags.h',
      'browser/android/content_video_view.cc',
      'browser/android/content_video_view.h',
      'browser/android/content_view_core_impl.cc',
      'browser/android/content_view_core_impl.h',
      'browser/android/content_view_render_view.cc',
      'browser/android/content_view_render_view.h',
      'browser/android/content_view_statics.cc',
      'browser/android/content_view_statics.h',
      'browser/android/date_time_chooser_android.cc',
      'browser/android/date_time_chooser_android.h',
      'browser/android/download_controller_android_impl.cc',
      'browser/android/download_controller_android_impl.h',
      'browser/android/devtools_auth.cc',
      'browser/android/edge_effect.cc',
      'browser/android/edge_effect.h',
      'browser/android/edge_effect_l.cc',
      'browser/android/edge_effect_l.h',
      'browser/android/gesture_event_type_list.h',
      'browser/android/in_process/synchronous_compositor_factory_impl.cc',
      'browser/android/in_process/synchronous_compositor_factory_impl.h',
      'browser/android/in_process/synchronous_compositor_impl.cc',
      'browser/android/in_process/synchronous_compositor_impl.h',
      'browser/android/in_process/synchronous_compositor_output_surface.cc',
      'browser/android/in_process/synchronous_compositor_output_surface.h',
      'browser/android/in_process/synchronous_input_event_filter.cc',
      'browser/android/in_process/synchronous_input_event_filter.h',
      'browser/android/interstitial_page_delegate_android.cc',
      'browser/android/interstitial_page_delegate_android.h',
      'browser/android/load_url_params.cc',
      'browser/android/load_url_params.h',
      'browser/android/overscroll_glow.cc',
      'browser/android/overscroll_glow.h',
      'browser/android/popup_item_type_list.h',
      'browser/android/popup_touch_handle_drawable.cc',
      'browser/android/popup_touch_handle_drawable.h',
      'browser/android/surface_texture_peer_browser_impl.cc',
      'browser/android/surface_texture_peer_browser_impl.h',
      'browser/android/system_ui_resource_manager_impl.cc',
      'browser/android/system_ui_resource_manager_impl.h',
      'browser/android/tracing_controller_android.cc',
      'browser/android/tracing_controller_android.h',
      'browser/android/web_contents_observer_android.cc',
      'browser/android/web_contents_observer_android.h',
      'browser/android/ui_resource_provider_impl.cc',
      'browser/android/ui_resource_provider_impl.h',
      'browser/appcache/appcache.cc',
      'browser/appcache/appcache.h',
      'browser/appcache/appcache_backend_impl.cc',
      'browser/appcache/appcache_backend_impl.h',
      'browser/appcache/appcache_database.cc',
      'browser/appcache/appcache_database.h',
      'browser/appcache/appcache_disk_cache.cc',
      'browser/appcache/appcache_disk_cache.h',
      'browser/appcache/appcache_dispatcher_host.cc',
      'browser/appcache/appcache_dispatcher_host.h',
      'browser/appcache/appcache_entry.h',
      'browser/appcache/appcache_executable_handler.h',
      'browser/appcache/appcache_frontend_proxy.cc',
      'browser/appcache/appcache_frontend_proxy.h',
      'browser/appcache/appcache_group.cc',
      'browser/appcache/appcache_group.h',
      'browser/appcache/appcache_histograms.cc',
      'browser/appcache/appcache_histograms.h',
      'browser/appcache/appcache_host.cc',
      'browser/appcache/appcache_host.h',
      'browser/appcache/appcache_interceptor.cc',
      'browser/appcache/appcache_interceptor.h',
      'browser/appcache/appcache_policy.h',
      'browser/appcache/appcache_quota_client.cc',
      'browser/appcache/appcache_quota_client.h',
      'browser/appcache/appcache_request_handler.cc',
      'browser/appcache/appcache_request_handler.h',
      'browser/appcache/appcache_response.cc',
      'browser/appcache/appcache_response.h',
      'browser/appcache/appcache_service_impl.cc',
      'browser/appcache/appcache_service_impl.h',
      'browser/appcache/appcache_storage.cc',
      'browser/appcache/appcache_storage.h',
      'browser/appcache/appcache_storage_impl.cc',
      'browser/appcache/appcache_storage_impl.h',
      'browser/appcache/appcache_update_job.cc',
      'browser/appcache/appcache_update_job.h',
      'browser/appcache/appcache_url_request_job.cc',
      'browser/appcache/appcache_url_request_job.h',
      'browser/appcache/appcache_working_set.cc',
      'browser/appcache/appcache_working_set.h',
      'browser/appcache/chrome_appcache_service.cc',
      'browser/appcache/chrome_appcache_service.h',
      'browser/appcache/appcache_manifest_parser.cc',
      'browser/appcache/appcache_manifest_parser.h',
      'browser/appcache/view_appcache_internals_job.cc',
      'browser/appcache/view_appcache_internals_job.h',
      'browser/battery_status/battery_status_manager_android.cc',
      'browser/battery_status/battery_status_manager_android.h',
      'browser/battery_status/battery_status_manager_chromeos.cc',
      'browser/battery_status/battery_status_manager_default.cc',
      'browser/battery_status/battery_status_manager_linux.cc',
      'browser/battery_status/battery_status_manager_linux.h',
      'browser/battery_status/battery_status_manager_mac.cc',
      'browser/battery_status/battery_status_manager_win.cc',
      'browser/battery_status/battery_status_manager_win.h',
      'browser/battery_status/battery_status_manager.h',
      'browser/battery_status/battery_status_message_filter.cc',
      'browser/battery_status/battery_status_message_filter.h',
      'browser/battery_status/battery_status_service.cc',
      'browser/battery_status/battery_status_service.h',
      'browser/bootstrap_sandbox_mac.cc',
      'browser/bootstrap_sandbox_mac.h',
      'browser/browser_child_process_host_impl.cc',
      'browser/browser_child_process_host_impl.h',
      'browser/browser_context.cc',
      'browser/browser_ipc_logging.cc',
      'browser/browser_main.cc',
      'browser/browser_main.h',
      'browser/browser_main_loop.cc',
      'browser/browser_main_loop.h',
      'browser/browser_main_runner.cc',
      'browser/browser_plugin/browser_plugin_embedder.cc',
      'browser/browser_plugin/browser_plugin_embedder.h',
      'browser/browser_plugin/browser_plugin_guest.cc',
      'browser/browser_plugin/browser_plugin_guest.h',
      'browser/browser_plugin/browser_plugin_message_filter.cc',
      'browser/browser_plugin/browser_plugin_message_filter.h',
      'browser/browser_plugin/browser_plugin_popup_menu_helper_mac.h',
      'browser/browser_plugin/browser_plugin_popup_menu_helper_mac.mm',
      'browser/browser_process_sub_thread.cc',
      'browser/browser_process_sub_thread.h',
      'browser/browser_shutdown_profile_dumper.cc',
      'browser/browser_shutdown_profile_dumper.h',
      'browser/browser_thread_impl.cc',
      'browser/browser_thread_impl.h',
      'browser/browser_url_handler_impl.cc',
      'browser/browser_url_handler_impl.h',
      'browser/browsing_instance.cc',
      'browser/browsing_instance.h',
      'browser/byte_stream.cc',
      'browser/byte_stream.h',
      'browser/cert_store_impl.cc',
      'browser/cert_store_impl.h',
      'browser/child_process_launcher.cc',
      'browser/child_process_launcher.h',
      'browser/child_process_security_policy_impl.cc',
      'browser/child_process_security_policy_impl.h',
      'browser/cocoa/system_hotkey_helper_mac.h',
      'browser/cocoa/system_hotkey_helper_mac.mm',
      'browser/cocoa/system_hotkey_map.h',
      'browser/cocoa/system_hotkey_map.mm',
      'browser/devtools/devtools_agent_host_impl.cc',
      'browser/devtools/devtools_agent_host_impl.h',
      'browser/devtools/devtools_browser_target.cc',
      'browser/devtools/devtools_browser_target.h',
      'browser/devtools/devtools_frontend_host_impl.cc',
      'browser/devtools/devtools_frontend_host_impl.h',
      'browser/devtools/devtools_http_handler_impl.cc',
      'browser/devtools/devtools_http_handler_impl.h',
      'browser/devtools/devtools_manager.cc',
      'browser/devtools/devtools_manager.h',
      'browser/devtools/devtools_netlog_observer.cc',
      'browser/devtools/devtools_netlog_observer.h',
      'browser/devtools/devtools_power_handler.cc',
      'browser/devtools/devtools_power_handler.h',
      'browser/devtools/devtools_protocol.cc',
      'browser/devtools/devtools_protocol.h',
      'browser/devtools/devtools_system_info_handler.cc',
      'browser/devtools/devtools_system_info_handler.h',
      'browser/devtools/devtools_tracing_handler.h',
      'browser/devtools/devtools_tracing_handler.cc',
      'browser/devtools/forwarding_agent_host.cc',
      'browser/devtools/forwarding_agent_host.h',
      'browser/devtools/ipc_devtools_agent_host.cc',
      'browser/devtools/ipc_devtools_agent_host.h',
      'browser/devtools/embedded_worker_devtools_agent_host.cc',
      'browser/devtools/embedded_worker_devtools_agent_host.h',
      'browser/devtools/embedded_worker_devtools_manager.cc',
      'browser/devtools/embedded_worker_devtools_manager.h',
      'browser/devtools/render_view_devtools_agent_host.cc',
      'browser/devtools/render_view_devtools_agent_host.h',
      'browser/devtools/renderer_overrides_handler.cc',
      'browser/devtools/renderer_overrides_handler.h',
      'browser/devtools/tethering_handler.h',
      'browser/devtools/tethering_handler.cc',
      'browser/device_monitor_mac.h',
      'browser/device_monitor_mac.mm',
      'browser/device_monitor_udev.cc',
      'browser/device_monitor_udev.h',
      'browser/device_sensors/data_fetcher_shared_memory.h',
      'browser/device_sensors/data_fetcher_shared_memory_android.cc',
      'browser/device_sensors/data_fetcher_shared_memory_base.cc',
      'browser/device_sensors/data_fetcher_shared_memory_base.h',
      'browser/device_sensors/data_fetcher_shared_memory_default.cc',
      'browser/device_sensors/data_fetcher_shared_memory_mac.cc',
      'browser/device_sensors/data_fetcher_shared_memory_win.cc',
      'browser/device_sensors/device_inertial_sensor_service.cc',
      'browser/device_sensors/device_inertial_sensor_service.h',
      'browser/device_sensors/device_light_message_filter.cc',
      'browser/device_sensors/device_light_message_filter.h',
      'browser/device_sensors/device_motion_message_filter.cc',
      'browser/device_sensors/device_motion_message_filter.h',
      'browser/device_sensors/device_orientation_message_filter.cc',
      'browser/device_sensors/device_orientation_message_filter.h',
      'browser/device_sensors/inertial_sensor_consts.h',
      'browser/device_sensors/sensor_manager_android.cc',
      'browser/device_sensors/sensor_manager_android.h',
      'browser/dom_storage/dom_storage_area.cc',
      'browser/dom_storage/dom_storage_area.h',
      'browser/dom_storage/dom_storage_context_impl.cc',
      'browser/dom_storage/dom_storage_context_impl.h',
      'browser/dom_storage/dom_storage_context_wrapper.cc',
      'browser/dom_storage/dom_storage_context_wrapper.h',
      'browser/dom_storage/dom_storage_database.cc',
      'browser/dom_storage/dom_storage_database.h',
      'browser/dom_storage/dom_storage_database_adapter.h',
      'browser/dom_storage/dom_storage_host.cc',
      'browser/dom_storage/dom_storage_host.h',
      'browser/dom_storage/dom_storage_message_filter.cc',
      'browser/dom_storage/dom_storage_message_filter.h',
      'browser/dom_storage/dom_storage_namespace.cc',
      'browser/dom_storage/dom_storage_namespace.h',
      'browser/dom_storage/dom_storage_session.cc',
      'browser/dom_storage/dom_storage_session.h',
      'browser/dom_storage/dom_storage_task_runner.cc',
      'browser/dom_storage/dom_storage_task_runner.h',
      'browser/dom_storage/local_storage_database_adapter.cc',
      'browser/dom_storage/local_storage_database_adapter.h',
      'browser/dom_storage/session_storage_database.cc',
      'browser/dom_storage/session_storage_database.h',
      'browser/dom_storage/session_storage_database_adapter.cc',
      'browser/dom_storage/session_storage_database_adapter.h',
      'browser/dom_storage/session_storage_namespace_impl.cc',
      'browser/dom_storage/session_storage_namespace_impl.h',
      'browser/download/base_file.cc',
      'browser/download/base_file.h',
      'browser/download/base_file_linux.cc',
      'browser/download/base_file_mac.cc',
      'browser/download/base_file_posix.cc',
      'browser/download/base_file_win.cc',
      'browser/download/download_create_info.cc',
      'browser/download/download_create_info.h',
      'browser/download/download_file.h',
      'browser/download/download_file_factory.cc',
      'browser/download/download_file_factory.h',
      'browser/download/download_file_impl.cc',
      'browser/download/download_file_impl.h',
      'browser/download/download_interrupt_reasons_impl.cc',
      'browser/download/download_interrupt_reasons_impl.h',
      'browser/download/download_item_factory.h',
      'browser/download/download_item_impl.cc',
      'browser/download/download_item_impl.h',
      'browser/download/download_item_impl_delegate.cc',
      'browser/download/download_item_impl_delegate.h',
      'browser/download/download_manager_impl.cc',
      'browser/download/download_manager_impl.h',
      'browser/download/download_net_log_parameters.cc',
      'browser/download/download_net_log_parameters.h',
      'browser/download/download_request_handle.cc',
      'browser/download/download_request_handle.h',
      'browser/download/download_resource_handler.cc',
      'browser/download/download_resource_handler.h',
      'browser/download/download_stats.cc',
      'browser/download/download_stats.h',
      'browser/download/drag_download_file.cc',
      'browser/download/drag_download_file.h',
      'browser/download/drag_download_util.cc',
      'browser/download/drag_download_util.h',
      'browser/download/file_metadata_linux.cc',
      'browser/download/file_metadata_linux.h',
      'browser/download/file_metadata_mac.h',
      'browser/download/file_metadata_mac.mm',
      'browser/download/mhtml_generation_manager.cc',
      'browser/download/mhtml_generation_manager.h',
      'browser/download/rate_estimator.cc',
      'browser/download/rate_estimator.h',
      'browser/download/save_file.cc',
      'browser/download/save_file.h',
      'browser/download/save_file_manager.cc',
      'browser/download/save_file_manager.h',
      'browser/download/save_file_resource_handler.cc',
      'browser/download/save_file_resource_handler.h',
      'browser/download/save_item.cc',
      'browser/download/save_item.h',
      'browser/download/save_package.cc',
      'browser/download/save_package.h',
      'browser/download/save_types.cc',
      'browser/download/save_types.h',
      'browser/fileapi/blob_storage_host.cc',
      'browser/fileapi/blob_storage_host.h',
      'browser/fileapi/browser_file_system_helper.cc',
      'browser/fileapi/browser_file_system_helper.h',
      'browser/fileapi/chrome_blob_storage_context.cc',
      'browser/fileapi/chrome_blob_storage_context.h',
      'browser/fileapi/fileapi_message_filter.cc',
      'browser/fileapi/fileapi_message_filter.h',
      'browser/fileapi/upload_file_system_file_element_reader.cc',
      'browser/fileapi/upload_file_system_file_element_reader.h',
      'browser/font_list_async.cc',
      'browser/frame_host/cross_process_frame_connector.cc',
      'browser/frame_host/cross_process_frame_connector.h',
      'browser/frame_host/cross_site_transferring_request.cc',
      'browser/frame_host/cross_site_transferring_request.h',
      'browser/frame_host/debug_urls.cc',
      'browser/frame_host/debug_urls.h',
      'browser/frame_host/frame_accessibility.cc',
      'browser/frame_host/frame_accessibility.h',
      'browser/frame_host/frame_tree.cc',
      'browser/frame_host/frame_tree.h',
      'browser/frame_host/frame_tree_node.cc',
      'browser/frame_host/frame_tree_node.h',
      'browser/frame_host/interstitial_page_impl.cc',
      'browser/frame_host/interstitial_page_impl.h',
      'browser/frame_host/interstitial_page_navigator_impl.cc',
      'browser/frame_host/interstitial_page_navigator_impl.h',
      'browser/frame_host/navigation_before_commit_info.cc',
      'browser/frame_host/navigation_before_commit_info.h',
      'browser/frame_host/navigation_controller_android.cc',
      'browser/frame_host/navigation_controller_android.h',
      'browser/frame_host/navigation_controller_delegate.h',
      'browser/frame_host/navigation_controller_impl.cc',
      'browser/frame_host/navigation_controller_impl.h',
      'browser/frame_host/navigation_entry_impl.cc',
      'browser/frame_host/navigation_entry_impl.h',
      'browser/frame_host/navigation_entry_screenshot_manager.cc',
      'browser/frame_host/navigation_entry_screenshot_manager.h',
      'browser/frame_host/navigation_request.cc',
      'browser/frame_host/navigation_request.h',
      'browser/frame_host/navigation_request_info.cc',
      'browser/frame_host/navigation_request_info.h',
      'browser/frame_host/navigator.cc',
      'browser/frame_host/navigator.h',
      'browser/frame_host/navigator_impl.cc',
      'browser/frame_host/navigator_impl.h',
      'browser/frame_host/navigator_delegate.cc',
      'browser/frame_host/navigator_delegate.h',
      'browser/frame_host/popup_menu_helper_mac.h',
      'browser/frame_host/popup_menu_helper_mac.mm',
      'browser/frame_host/render_frame_host_delegate.cc',
      'browser/frame_host/render_frame_host_delegate.h',
      'browser/frame_host/render_frame_host_factory.cc',
      'browser/frame_host/render_frame_host_factory.h',
      'browser/frame_host/render_frame_host_impl.cc',
      'browser/frame_host/render_frame_host_impl.h',
      'browser/frame_host/render_frame_host_manager.cc',
      'browser/frame_host/render_frame_host_manager.h',
      'browser/frame_host/render_frame_message_filter.cc',
      'browser/frame_host/render_frame_message_filter.h',
      'browser/frame_host/render_frame_proxy_host.cc',
      'browser/frame_host/render_frame_proxy_host.h',
      'browser/frame_host/render_widget_host_view_child_frame.cc',
      'browser/frame_host/render_widget_host_view_child_frame.h',
      'browser/frame_host/render_widget_host_view_guest.cc',
      'browser/frame_host/render_widget_host_view_guest.h',
      'browser/gamepad/gamepad_consumer.h',
      'browser/gamepad/gamepad_data_fetcher.h',
      'browser/gamepad/gamepad_platform_data_fetcher.h',
      'browser/gamepad/gamepad_platform_data_fetcher_android.cc',
      'browser/gamepad/gamepad_platform_data_fetcher_android.h',
      'browser/gamepad/gamepad_platform_data_fetcher_linux.cc',
      'browser/gamepad/gamepad_platform_data_fetcher_linux.h',
      'browser/gamepad/gamepad_platform_data_fetcher_mac.h',
      'browser/gamepad/gamepad_platform_data_fetcher_mac.mm',
      'browser/gamepad/gamepad_platform_data_fetcher_win.cc',
      'browser/gamepad/gamepad_platform_data_fetcher_win.h',
      'browser/gamepad/gamepad_provider.cc',
      'browser/gamepad/gamepad_provider.h',
      'browser/gamepad/gamepad_service.cc',
      'browser/gamepad/gamepad_service.h',
      'browser/gamepad/gamepad_standard_mappings.cc',
      'browser/gamepad/gamepad_standard_mappings.h',
      'browser/gamepad/gamepad_standard_mappings_linux.cc',
      'browser/gamepad/gamepad_standard_mappings_mac.mm',
      'browser/gamepad/gamepad_standard_mappings_win.cc',
      'browser/gamepad/raw_input_data_fetcher_win.cc',
      'browser/gamepad/raw_input_data_fetcher_win.h',
      'browser/gamepad/xbox_data_fetcher_mac.cc',
      'browser/gamepad/xbox_data_fetcher_mac.h',
      'browser/geolocation/empty_wifi_data_provider.cc',
      'browser/geolocation/empty_wifi_data_provider.h',
      'browser/geolocation/geolocation_dispatcher_host.cc',
      'browser/geolocation/geolocation_dispatcher_host.h',
      'browser/geolocation/geolocation_provider_impl.cc',
      'browser/geolocation/geolocation_provider_impl.h',
      'browser/geolocation/location_api_adapter_android.cc',
      'browser/geolocation/location_api_adapter_android.h',
      'browser/geolocation/location_arbitrator.h',
      'browser/geolocation/location_arbitrator_impl.cc',
      'browser/geolocation/location_arbitrator_impl.h',
      'browser/geolocation/location_provider_android.cc',
      'browser/geolocation/location_provider_android.h',
      'browser/geolocation/location_provider_base.cc',
      'browser/geolocation/location_provider_base.h',
      'browser/geolocation/network_location_provider.cc',
      'browser/geolocation/network_location_provider.h',
      'browser/geolocation/network_location_request.cc',
      'browser/geolocation/network_location_request.h',
      'browser/geolocation/osx_wifi.h',
      'browser/geolocation/wifi_data.cc',
      'browser/geolocation/wifi_data.h',
      'browser/geolocation/wifi_data_provider.cc',
      'browser/geolocation/wifi_data_provider.h',
      'browser/geolocation/wifi_data_provider_chromeos.cc',
      'browser/geolocation/wifi_data_provider_chromeos.h',
      'browser/geolocation/wifi_data_provider_common.cc',
      'browser/geolocation/wifi_data_provider_common.h',
      'browser/geolocation/wifi_data_provider_common_win.cc',
      'browser/geolocation/wifi_data_provider_common_win.h',
      'browser/geolocation/wifi_data_provider_corewlan_mac.mm',
      'browser/geolocation/wifi_data_provider_linux.cc',
      'browser/geolocation/wifi_data_provider_linux.h',
      'browser/geolocation/wifi_data_provider_mac.cc',
      'browser/geolocation/wifi_data_provider_mac.h',
      'browser/geolocation/wifi_data_provider_manager.cc',
      'browser/geolocation/wifi_data_provider_manager.h',
      'browser/geolocation/wifi_data_provider_win.cc',
      'browser/geolocation/wifi_data_provider_win.h',
      'browser/geolocation/wifi_polling_policy.h',
      'browser/gpu/browser_gpu_channel_host_factory.cc',
      'browser/gpu/browser_gpu_channel_host_factory.h',
      'browser/gpu/compositor_util.cc',
      'browser/gpu/compositor_util.h',
      'browser/gpu/gpu_data_manager_impl.cc',
      'browser/gpu/gpu_data_manager_impl.h',
      'browser/gpu/gpu_data_manager_impl_private.cc',
      'browser/gpu/gpu_data_manager_impl_private.h',
      'browser/gpu/gpu_internals_ui.cc',
      'browser/gpu/gpu_internals_ui.h',
      'browser/gpu/gpu_memory_buffer_factory_host_impl.cc',
      'browser/gpu/gpu_memory_buffer_factory_host_impl.h',
      'browser/gpu/gpu_process_host.cc',
      'browser/gpu/gpu_process_host.h',
      'browser/gpu/gpu_process_host_ui_shim.cc',
      'browser/gpu/gpu_process_host_ui_shim.h',
      'browser/gpu/gpu_surface_tracker.cc',
      'browser/gpu/gpu_surface_tracker.h',
      'browser/gpu/shader_disk_cache.cc',
      'browser/gpu/shader_disk_cache.h',
      'browser/histogram_controller.cc',
      'browser/histogram_controller.h',
      'browser/histogram_internals_request_job.cc',
      'browser/histogram_internals_request_job.h',
      'browser/histogram_message_filter.cc',
      'browser/histogram_message_filter.h',
      'browser/histogram_subscriber.h',
      'browser/histogram_synchronizer.cc',
      'browser/histogram_synchronizer.h',
      'browser/host_zoom_map_impl.cc',
      'browser/host_zoom_map_impl.h',
      'browser/indexed_db/indexed_db.h',
      'browser/indexed_db/indexed_db_active_blob_registry.cc',
      'browser/indexed_db/indexed_db_active_blob_registry.h',
      'browser/indexed_db/indexed_db_backing_store.cc',
      'browser/indexed_db/indexed_db_backing_store.h',
      'browser/indexed_db/indexed_db_blob_info.cc',
      'browser/indexed_db/indexed_db_blob_info.h',
      'browser/indexed_db/indexed_db_callbacks.cc',
      'browser/indexed_db/indexed_db_callbacks.h',
      'browser/indexed_db/indexed_db_class_factory.cc',
      'browser/indexed_db/indexed_db_class_factory.h',
      'browser/indexed_db/indexed_db_connection.cc',
      'browser/indexed_db/indexed_db_connection.h',
      'browser/indexed_db/indexed_db_context_impl.cc',
      'browser/indexed_db/indexed_db_context_impl.h',
      'browser/indexed_db/indexed_db_cursor.cc',
      'browser/indexed_db/indexed_db_cursor.h',
      'browser/indexed_db/indexed_db_database.cc',
      'browser/indexed_db/indexed_db_database.h',
      'browser/indexed_db/indexed_db_database_callbacks.cc',
      'browser/indexed_db/indexed_db_database_callbacks.h',
      'browser/indexed_db/indexed_db_database_error.h',
      'browser/indexed_db/indexed_db_dispatcher_host.cc',
      'browser/indexed_db/indexed_db_dispatcher_host.h',
      'browser/indexed_db/indexed_db_factory.h',
      'browser/indexed_db/indexed_db_factory_impl.cc',
      'browser/indexed_db/indexed_db_factory_impl.h',
      'browser/indexed_db/indexed_db_index_writer.cc',
      'browser/indexed_db/indexed_db_index_writer.h',
      'browser/indexed_db/indexed_db_internals_ui.cc',
      'browser/indexed_db/indexed_db_internals_ui.h',
      'browser/indexed_db/indexed_db_leveldb_coding.cc',
      'browser/indexed_db/indexed_db_leveldb_coding.h',
      'browser/indexed_db/indexed_db_metadata.cc',
      'browser/indexed_db/indexed_db_metadata.h',
      'browser/indexed_db/indexed_db_pending_connection.cc',
      'browser/indexed_db/indexed_db_pending_connection.h',
      'browser/indexed_db/indexed_db_quota_client.cc',
      'browser/indexed_db/indexed_db_quota_client.h',
      'browser/indexed_db/indexed_db_transaction.cc',
      'browser/indexed_db/indexed_db_transaction.h',
      'browser/indexed_db/indexed_db_transaction_coordinator.cc',
      'browser/indexed_db/indexed_db_transaction_coordinator.h',
      'browser/indexed_db/indexed_db_value.h',
      'browser/indexed_db/indexed_db_value.cc',
      'browser/indexed_db/leveldb/leveldb_comparator.h',
      'browser/indexed_db/leveldb/leveldb_database.cc',
      'browser/indexed_db/leveldb/leveldb_database.h',
      'browser/indexed_db/leveldb/leveldb_factory.h',
      'browser/indexed_db/leveldb/leveldb_iterator.h',
      'browser/indexed_db/leveldb/leveldb_iterator_impl.cc',
      'browser/indexed_db/leveldb/leveldb_iterator_impl.h',
      'browser/indexed_db/leveldb/leveldb_transaction.cc',
      'browser/indexed_db/leveldb/leveldb_transaction.h',
      'browser/indexed_db/leveldb/leveldb_write_batch.cc',
      'browser/indexed_db/leveldb/leveldb_write_batch.h',
      'browser/loader/async_resource_handler.cc',
      'browser/loader/async_resource_handler.h',
      'browser/loader/buffered_resource_handler.cc',
      'browser/loader/buffered_resource_handler.h',
      'browser/loader/certificate_resource_handler.cc',
      'browser/loader/certificate_resource_handler.h',
      'browser/loader/cross_site_resource_handler.cc',
      'browser/loader/cross_site_resource_handler.h',
      'browser/loader/detachable_resource_handler.cc',
      'browser/loader/detachable_resource_handler.h',
      'browser/loader/global_routing_id.h',
      'browser/loader/layered_resource_handler.cc',
      'browser/loader/layered_resource_handler.h',
      'browser/loader/power_save_block_resource_throttle.cc',
      'browser/loader/power_save_block_resource_throttle.h',
      'browser/loader/redirect_to_file_resource_handler.cc',
      'browser/loader/redirect_to_file_resource_handler.h',
      'browser/loader/resource_buffer.cc',
      'browser/loader/resource_buffer.h',
      'browser/loader/resource_dispatcher_host_impl.cc',
      'browser/loader/resource_dispatcher_host_impl.h',
      'browser/loader/resource_handler.cc',
      'browser/loader/resource_handler.h',
      'browser/loader/resource_loader.cc',
      'browser/loader/resource_loader.h',
      'browser/loader/resource_loader_delegate.h',
      'browser/loader/resource_message_delegate.cc',
      'browser/loader/resource_message_delegate.h',
      'browser/loader/resource_message_filter.cc',
      'browser/loader/resource_message_filter.h',
      'browser/loader/resource_request_info_impl.cc',
      'browser/loader/resource_request_info_impl.h',
      'browser/loader/resource_scheduler.cc',
      'browser/loader/resource_scheduler.h',
      'browser/loader/resource_scheduler_filter.cc',
      'browser/loader/resource_scheduler_filter.h',
      'browser/loader/stream_resource_handler.cc',
      'browser/loader/stream_resource_handler.h',
      'browser/loader/sync_resource_handler.cc',
      'browser/loader/sync_resource_handler.h',
      'browser/loader/temporary_file_stream.cc',
      'browser/loader/temporary_file_stream.h',
      'browser/loader/throttling_resource_handler.cc',
      'browser/loader/throttling_resource_handler.h',
      'browser/loader/upload_data_stream_builder.cc',
      'browser/loader/upload_data_stream_builder.h',
      'browser/mach_broker_mac.h',
      'browser/mach_broker_mac.mm',
      'browser/media/android/browser_demuxer_android.cc',
      'browser/media/android/browser_demuxer_android.h',
      'browser/media/android/browser_media_player_manager.cc',
      'browser/media/android/browser_media_player_manager.h',
      'browser/media/android/media_drm_credential_manager.cc',
      'browser/media/android/media_drm_credential_manager.h',
      'browser/media/android/media_resource_getter_impl.cc',
      'browser/media/android/media_resource_getter_impl.h',
      'browser/media/audio_stream_monitor.cc',
      'browser/media/audio_stream_monitor.h',
      'browser/media/capture/audio_mirroring_manager.cc',
      'browser/media/capture/audio_mirroring_manager.h',
      'browser/media/capture/content_video_capture_device_core.cc',
      'browser/media/capture/content_video_capture_device_core.h',
      'browser/media/capture/video_capture_oracle.cc',
      'browser/media/capture/video_capture_oracle.h',
      'browser/media/capture/web_contents_audio_input_stream.cc',
      'browser/media/capture/web_contents_audio_input_stream.h',
      'browser/media/capture/web_contents_audio_muter.cc',
      'browser/media/capture/web_contents_audio_muter.h',
      'browser/media/capture/web_contents_capture_util.cc',
      'browser/media/capture/web_contents_capture_util.h',
      'browser/media/capture/web_contents_tracker.cc',
      'browser/media/capture/web_contents_tracker.h',
      'browser/media/capture/web_contents_video_capture_device.cc',
      'browser/media/capture/web_contents_video_capture_device.h',
      'browser/media/media_internals.cc',
      'browser/media/media_internals.h',
      'browser/media/media_internals_handler.cc',
      'browser/media/media_internals_handler.h',
      'browser/media/media_internals_proxy.cc',
      'browser/media/media_internals_proxy.h',
      'browser/media/media_internals_ui.cc',
      'browser/media/media_internals_ui.h',
      'browser/media/midi_dispatcher_host.cc',
      'browser/media/midi_dispatcher_host.h',
      'browser/media/midi_host.cc',
      'browser/media/midi_host.h',
      'browser/media/webrtc_identity_store.cc',
      'browser/media/webrtc_identity_store.h',
      'browser/media/webrtc_identity_store_backend.cc',
      'browser/media/webrtc_identity_store_backend.h',
      'browser/manifest/manifest_manager_host.cc',
      'browser/manifest/manifest_manager_host.h',
      'browser/message_port_message_filter.cc',
      'browser/message_port_message_filter.h',
      'browser/message_port_service.cc',
      'browser/message_port_service.h',
      'browser/mime_registry_message_filter.cc',
      'browser/mime_registry_message_filter.h',
      'browser/mojo/mojo_application_host.cc',
      'browser/mojo/mojo_application_host.h',
      'browser/net/browser_online_state_observer.cc',
      'browser/net/browser_online_state_observer.h',
      'browser/net/sqlite_persistent_cookie_store.cc',
      'browser/net/sqlite_persistent_cookie_store.h',
      'browser/net/view_blob_internals_job_factory.cc',
      'browser/net/view_blob_internals_job_factory.h',
      'browser/net/view_http_cache_job_factory.cc',
      'browser/net/view_http_cache_job_factory.h',
      'browser/notification_service_impl.cc',
      'browser/notification_service_impl.h',
      'browser/power_monitor_message_broadcaster.cc',
      'browser/power_monitor_message_broadcaster.h',
      'browser/power_profiler/power_data_provider.h',
      'browser/power_profiler/power_event.cc',
      'browser/power_profiler/power_event.h',
      'browser/power_profiler/power_profiler_observer.h',
      'browser/power_profiler/power_profiler_service.cc',
      'browser/power_profiler/power_profiler_service.h',
      'browser/power_save_blocker_android.cc',
      'browser/power_save_blocker_android.h',
      'browser/power_save_blocker_chromeos.cc',
      'browser/power_save_blocker_impl.cc',
      'browser/power_save_blocker_impl.h',
      'browser/power_save_blocker_mac.cc',
      'browser/power_save_blocker_ozone.cc',
      'browser/power_save_blocker_win.cc',
      'browser/power_save_blocker_x11.cc',
      'browser/profiler_controller_impl.cc',
      'browser/profiler_controller_impl.h',
      'browser/profiler_message_filter.cc',
      'browser/profiler_message_filter.h',
      'browser/push_messaging_message_filter.cc',
      'browser/push_messaging_message_filter.h',
      'browser/push_messaging_router.cc',
      'browser/push_messaging_router.h',
      'browser/quota_dispatcher_host.cc',
      'browser/quota_dispatcher_host.h',
      'browser/renderer_data_memoizing_store.h',
      'browser/renderer_host/clipboard_message_filter.cc',
      'browser/renderer_host/clipboard_message_filter.h',
      'browser/renderer_host/clipboard_message_filter_mac.mm',
      'browser/renderer_host/compositing_iosurface_context_mac.h',
      'browser/renderer_host/compositing_iosurface_context_mac.mm',
      'browser/renderer_host/compositing_iosurface_mac.h',
      'browser/renderer_host/compositing_iosurface_mac.mm',
      'browser/renderer_host/compositor_impl_android.cc',
      'browser/renderer_host/compositor_impl_android.h',
      'browser/renderer_host/compositor_resize_lock_aura.cc',
      'browser/renderer_host/compositor_resize_lock_aura.h',
      'browser/renderer_host/database_message_filter.cc',
      'browser/renderer_host/database_message_filter.h',
      'browser/renderer_host/delegated_frame_evictor.cc',
      'browser/renderer_host/delegated_frame_evictor.h',
      'browser/renderer_host/dip_util.cc',
      'browser/renderer_host/dip_util.h',
      'browser/renderer_host/display_link_mac.h',
      'browser/renderer_host/display_link_mac.cc',
      'browser/renderer_host/event_with_latency_info.h',
      'browser/renderer_host/file_utilities_message_filter.cc',
      'browser/renderer_host/file_utilities_message_filter.h',
      'browser/renderer_host/font_utils_linux.cc',
      'browser/renderer_host/font_utils_linux.h',
      'browser/renderer_host/gamepad_browser_message_filter.cc',
      'browser/renderer_host/gamepad_browser_message_filter.h',
      'browser/renderer_host/gpu_message_filter.cc',
      'browser/renderer_host/gpu_message_filter.h',
      'browser/renderer_host/image_transport_factory_android.cc',
      'browser/renderer_host/image_transport_factory_android.h',
      'browser/renderer_host/ime_adapter_android.cc',
      'browser/renderer_host/ime_adapter_android.h',
      'browser/renderer_host/input/gesture_event_queue.cc',
      'browser/renderer_host/input/gesture_event_queue.h',
      'browser/renderer_host/input/gesture_text_selector.cc',
      'browser/renderer_host/input/gesture_text_selector.h',
      'browser/renderer_host/input/input_ack_handler.h',
      'browser/renderer_host/input/input_router.h',
      'browser/renderer_host/input/input_router_client.h',
      'browser/renderer_host/input/input_router_impl.cc',
      'browser/renderer_host/input/input_router_impl.h',
      'browser/renderer_host/input/input_router_config_helper.cc',
      'browser/renderer_host/input/input_router_config_helper.h',
      'browser/renderer_host/input/motion_event_android.cc',
      'browser/renderer_host/input/motion_event_android.h',
      'browser/renderer_host/input/motion_event_web.cc',
      'browser/renderer_host/input/motion_event_web.h',
      'browser/renderer_host/input/selection_event_type.h',
      'browser/renderer_host/input/selection_event_type_list.h',
      'browser/renderer_host/input/synthetic_gesture.cc',
      'browser/renderer_host/input/synthetic_gesture.h',
      'browser/renderer_host/input/synthetic_gesture_controller.cc',
      'browser/renderer_host/input/synthetic_gesture_controller.h',
      'browser/renderer_host/input/synthetic_gesture_target.h',
      'browser/renderer_host/input/synthetic_gesture_target_android.cc',
      'browser/renderer_host/input/synthetic_gesture_target_android.h',
      'browser/renderer_host/input/synthetic_gesture_target_aura.cc',
      'browser/renderer_host/input/synthetic_gesture_target_aura.h',
      'browser/renderer_host/input/synthetic_gesture_target_base.cc',
      'browser/renderer_host/input/synthetic_gesture_target_base.h',
      'browser/renderer_host/input/synthetic_pinch_gesture.cc',
      'browser/renderer_host/input/synthetic_pinch_gesture.h',
      'browser/renderer_host/input/synthetic_smooth_scroll_gesture.cc',
      'browser/renderer_host/input/synthetic_smooth_scroll_gesture.h',
      'browser/renderer_host/input/synthetic_tap_gesture.cc',
      'browser/renderer_host/input/synthetic_tap_gesture.h',
      'browser/renderer_host/input/tap_suppression_controller.cc',
      'browser/renderer_host/input/tap_suppression_controller.h',
      'browser/renderer_host/input/tap_suppression_controller_client.h',
      'browser/renderer_host/input/timeout_monitor.cc',
      'browser/renderer_host/input/timeout_monitor.h',
      'browser/renderer_host/input/touch_emulator.cc',
      'browser/renderer_host/input/touch_emulator.h',
      'browser/renderer_host/input/touch_emulator_client.h',
      'browser/renderer_host/input/touch_event_queue.cc',
      'browser/renderer_host/input/touch_event_queue.h',
      'browser/renderer_host/input/touch_action_filter.cc',
      'browser/renderer_host/input/touch_action_filter.h',
      'browser/renderer_host/input/touch_handle.cc',
      'browser/renderer_host/input/touch_handle.h',
      'browser/renderer_host/input/touch_selection_controller.cc',
      'browser/renderer_host/input/touch_selection_controller.h',
      'browser/renderer_host/input/touchpad_tap_suppression_controller.cc',
      'browser/renderer_host/input/touchpad_tap_suppression_controller.h',
      'browser/renderer_host/input/touchscreen_tap_suppression_controller.cc',
      'browser/renderer_host/input/touchscreen_tap_suppression_controller.h',
      'browser/renderer_host/input/web_input_event_builders_android.cc',
      'browser/renderer_host/input/web_input_event_builders_android.h',
      'browser/renderer_host/input/web_input_event_builders_win.cc',
      'browser/renderer_host/input/web_input_event_builders_win.h',
      'browser/renderer_host/input/web_input_event_util.cc',
      'browser/renderer_host/input/web_input_event_util.h',
      'browser/renderer_host/input/web_input_event_util_posix.cc',
      'browser/renderer_host/input/web_input_event_util_posix.h',
      'browser/renderer_host/legacy_render_widget_host_win.cc',
      'browser/renderer_host/legacy_render_widget_host_win.h',
      'browser/renderer_host/media/audio_input_device_manager.cc',
      'browser/renderer_host/media/audio_input_device_manager.h',
      'browser/renderer_host/media/audio_input_renderer_host.cc',
      'browser/renderer_host/media/audio_input_renderer_host.h',
      'browser/renderer_host/media/audio_input_sync_writer.cc',
      'browser/renderer_host/media/audio_input_sync_writer.h',
      'browser/renderer_host/media/audio_renderer_host.cc',
      'browser/renderer_host/media/audio_renderer_host.h',
      'browser/renderer_host/media/audio_sync_reader.cc',
      'browser/renderer_host/media/audio_sync_reader.h',
      'browser/renderer_host/media/device_request_message_filter.cc',
      'browser/renderer_host/media/device_request_message_filter.h',
      'browser/renderer_host/media/media_capture_devices_impl.cc',
      'browser/renderer_host/media/media_capture_devices_impl.h',
      'browser/renderer_host/media/media_stream_dispatcher_host.cc',
      'browser/renderer_host/media/media_stream_dispatcher_host.h',
      'browser/renderer_host/media/media_stream_manager.cc',
      'browser/renderer_host/media/media_stream_manager.h',
      'browser/renderer_host/media/media_stream_provider.h',
      'browser/renderer_host/media/media_stream_requester.h',
      'browser/renderer_host/media/media_stream_track_metrics_host.cc',
      'browser/renderer_host/media/media_stream_track_metrics_host.h',
      'browser/renderer_host/media/media_stream_ui_proxy.cc',
      'browser/renderer_host/media/media_stream_ui_proxy.h',
      'browser/renderer_host/media/video_capture_buffer_pool.cc',
      'browser/renderer_host/media/video_capture_buffer_pool.h',
      'browser/renderer_host/media/video_capture_controller.cc',
      'browser/renderer_host/media/video_capture_controller.h',
      'browser/renderer_host/media/video_capture_controller_event_handler.cc',
      'browser/renderer_host/media/video_capture_controller_event_handler.h',
      'browser/renderer_host/media/video_capture_host.cc',
      'browser/renderer_host/media/video_capture_host.h',
      'browser/renderer_host/media/video_capture_manager.cc',
      'browser/renderer_host/media/video_capture_manager.h',
      'browser/renderer_host/memory_benchmark_message_filter.cc',
      'browser/renderer_host/memory_benchmark_message_filter.h',
      'browser/renderer_host/native_web_keyboard_event.cc',
      'browser/renderer_host/native_web_keyboard_event_android.cc',
      'browser/renderer_host/native_web_keyboard_event_aura.cc',
      'browser/renderer_host/native_web_keyboard_event_mac.mm',
      'browser/renderer_host/overscroll_configuration.cc',
      'browser/renderer_host/overscroll_controller.cc',
      'browser/renderer_host/overscroll_controller.h',
      'browser/renderer_host/overscroll_controller_delegate.h',
      'browser/renderer_host/render_message_filter.cc',
      'browser/renderer_host/render_message_filter.h',
      'browser/renderer_host/render_process_host_impl.cc',
      'browser/renderer_host/render_process_host_impl.h',
      'browser/renderer_host/render_sandbox_host_linux.cc',
      'browser/renderer_host/render_sandbox_host_linux.h',
      'browser/renderer_host/render_view_host_delegate.cc',
      'browser/renderer_host/render_view_host_delegate.h',
      'browser/renderer_host/render_view_host_delegate_view.h',
      'browser/renderer_host/render_view_host_factory.cc',
      'browser/renderer_host/render_view_host_factory.h',
      'browser/renderer_host/render_view_host_impl.cc',
      'browser/renderer_host/render_view_host_impl.h',
      'browser/renderer_host/render_widget_helper.cc',
      'browser/renderer_host/render_widget_helper.h',
      'browser/renderer_host/render_widget_host_delegate.cc',
      'browser/renderer_host/render_widget_host_delegate.h',
      'browser/renderer_host/render_widget_host_impl.cc',
      'browser/renderer_host/render_widget_host_impl.h',
      'browser/renderer_host/render_widget_host_view_android.cc',
      'browser/renderer_host/render_widget_host_view_android.h',
      'browser/renderer_host/render_widget_host_view_aura.cc',
      'browser/renderer_host/render_widget_host_view_aura.h',
      'browser/renderer_host/render_widget_host_view_base.cc',
      'browser/renderer_host/render_widget_host_view_base.h',
      'browser/renderer_host/render_widget_host_view_mac_dictionary_helper.h',
      'browser/renderer_host/render_widget_host_view_mac_dictionary_helper.mm',
      'browser/renderer_host/render_widget_host_view_mac_editcommand_helper.h',
      'browser/renderer_host/render_widget_host_view_mac_editcommand_helper.mm',
      'browser/renderer_host/render_widget_host_view_mac.h',
      'browser/renderer_host/render_widget_host_view_mac.mm',
      'browser/renderer_host/render_widget_resize_helper.cc',
      'browser/renderer_host/render_widget_resize_helper.h',
      'browser/renderer_host/renderer_frame_manager.cc',
      'browser/renderer_host/renderer_frame_manager.h',
      'browser/renderer_host/sandbox_ipc_linux.cc',
      'browser/renderer_host/sandbox_ipc_linux.h',
      'browser/renderer_host/software_frame_manager.cc',
      'browser/renderer_host/software_frame_manager.h',
      'browser/renderer_host/socket_stream_dispatcher_host.cc',
      'browser/renderer_host/socket_stream_dispatcher_host.h',
      'browser/renderer_host/socket_stream_host.cc',
      'browser/renderer_host/socket_stream_host.h',
      'browser/renderer_host/text_input_client_mac.h',
      'browser/renderer_host/text_input_client_mac.mm',
      'browser/renderer_host/text_input_client_message_filter.h',
      'browser/renderer_host/text_input_client_message_filter.mm',
      'browser/renderer_host/ui_events_helper.cc',
      'browser/renderer_host/ui_events_helper.h',
      'browser/renderer_host/web_input_event_aura.cc',
      'browser/renderer_host/web_input_event_aura.h',
      'browser/renderer_host/web_input_event_aurawin.cc',
      'browser/renderer_host/webmenurunner_mac.h',
      'browser/renderer_host/webmenurunner_mac.mm',
      'browser/renderer_host/websocket_dispatcher_host.cc',
      'browser/renderer_host/websocket_dispatcher_host.h',
      'browser/renderer_host/websocket_host.cc',
      'browser/renderer_host/websocket_host.h',
      'browser/resolve_proxy_msg_helper.cc',
      'browser/resolve_proxy_msg_helper.h',
      'browser/resource_context_impl.cc',
      'browser/resource_context_impl.h',
      'browser/safe_util_win.cc',
      'browser/safe_util_win.h',
      'browser/screen_orientation/screen_orientation_dispatcher_host_impl.cc',
      'browser/screen_orientation/screen_orientation_dispatcher_host_impl.h',
      'browser/screen_orientation/screen_orientation_message_filter_android.h',
      'browser/screen_orientation/screen_orientation_message_filter_android.cc',
      'browser/screen_orientation/screen_orientation_provider_android.h',
      'browser/screen_orientation/screen_orientation_provider_android.cc',
      'browser/service_worker/embedded_worker_instance.cc',
      'browser/service_worker/embedded_worker_instance.h',
      'browser/service_worker/embedded_worker_registry.cc',
      'browser/service_worker/embedded_worker_registry.h',
      'browser/service_worker/service_worker_cache.cc',
      'browser/service_worker/service_worker_cache.h',
      'browser/service_worker/service_worker_cache_listener.cc',
      'browser/service_worker/service_worker_cache_listener.h',
      'browser/service_worker/service_worker_cache_storage.cc',
      'browser/service_worker/service_worker_cache_storage.h',
      'browser/service_worker/service_worker_cache_storage_manager.cc',
      'browser/service_worker/service_worker_cache_storage_manager.h',
      'browser/service_worker/service_worker_context_core.cc',
      'browser/service_worker/service_worker_context_core.h',
      'browser/service_worker/service_worker_context_observer.h',
      'browser/service_worker/service_worker_context_request_handler.cc',
      'browser/service_worker/service_worker_context_request_handler.h',
      'browser/service_worker/service_worker_context_wrapper.cc',
      'browser/service_worker/service_worker_context_wrapper.h',
      'browser/service_worker/service_worker_controllee_request_handler.cc',
      'browser/service_worker/service_worker_controllee_request_handler.h',
      'browser/service_worker/service_worker_database.cc',
      'browser/service_worker/service_worker_database.h',
      'browser/service_worker/service_worker_disk_cache.cc',
      'browser/service_worker/service_worker_disk_cache.h',
      'browser/service_worker/service_worker_dispatcher_host.cc',
      'browser/service_worker/service_worker_dispatcher_host.h',
      'browser/service_worker/service_worker_fetch_dispatcher.cc',
      'browser/service_worker/service_worker_fetch_dispatcher.h',
      'browser/service_worker/service_worker_handle.cc',
      'browser/service_worker/service_worker_handle.h',
      'browser/service_worker/service_worker_info.cc',
      'browser/service_worker/service_worker_info.h',
      'browser/service_worker/service_worker_internals_ui.cc',
      'browser/service_worker/service_worker_internals_ui.h',
      'browser/service_worker/service_worker_job_coordinator.cc',
      'browser/service_worker/service_worker_job_coordinator.h',
      'browser/service_worker/service_worker_metrics.cc',
      'browser/service_worker/service_worker_metrics.h',
      'browser/service_worker/service_worker_process_manager.cc',
      'browser/service_worker/service_worker_process_manager.h',
      'browser/service_worker/service_worker_provider_host.cc',
      'browser/service_worker/service_worker_provider_host.h',
      'browser/service_worker/service_worker_read_from_cache_job.cc',
      'browser/service_worker/service_worker_read_from_cache_job.h',
      'browser/service_worker/service_worker_register_job_base.h',
      'browser/service_worker/service_worker_register_job.cc',
      'browser/service_worker/service_worker_register_job.h',
      'browser/service_worker/service_worker_registration.cc',
      'browser/service_worker/service_worker_registration.h',
      'browser/service_worker/service_worker_registration_handle.cc',
      'browser/service_worker/service_worker_registration_handle.h',
      'browser/service_worker/service_worker_registration_status.cc',
      'browser/service_worker/service_worker_registration_status.h',
      'browser/service_worker/service_worker_request_handler.cc',
      'browser/service_worker/service_worker_request_handler.h',
      'browser/service_worker/service_worker_script_cache_map.cc',
      'browser/service_worker/service_worker_script_cache_map.h',
      'browser/service_worker/service_worker_storage.cc',
      'browser/service_worker/service_worker_storage.h',
      'browser/service_worker/service_worker_unregister_job.cc',
      'browser/service_worker/service_worker_unregister_job.h',
      'browser/service_worker/service_worker_url_request_job.cc',
      'browser/service_worker/service_worker_url_request_job.h',
      'browser/service_worker/service_worker_utils.cc',
      'browser/service_worker/service_worker_utils.h',
      'browser/service_worker/service_worker_version.cc',
      'browser/service_worker/service_worker_version.h',
      'browser/service_worker/service_worker_write_to_cache_job.cc',
      'browser/service_worker/service_worker_write_to_cache_job.h',
      'browser/shared_worker/shared_worker_host.cc',
      'browser/shared_worker/shared_worker_host.h',
      'browser/shared_worker/shared_worker_instance.cc',
      'browser/shared_worker/shared_worker_instance.h',
      'browser/shared_worker/shared_worker_message_filter.cc',
      'browser/shared_worker/shared_worker_message_filter.h',
      'browser/shared_worker/shared_worker_service_impl.cc',
      'browser/shared_worker/shared_worker_service_impl.h',
      'browser/shared_worker/worker_document_set.cc',
      'browser/shared_worker/worker_document_set.h',
      'browser/shared_worker/worker_storage_partition.cc',
      'browser/shared_worker/worker_storage_partition.h',
      'browser/signed_certificate_timestamp_store_impl.cc',
      'browser/signed_certificate_timestamp_store_impl.h',
      'browser/site_instance_impl.cc',
      'browser/site_instance_impl.h',
      'browser/speech/audio_buffer.cc',
      'browser/speech/audio_buffer.h',
      'browser/speech/audio_encoder.cc',
      'browser/speech/audio_encoder.h',
      'browser/speech/chunked_byte_buffer.cc',
      'browser/speech/chunked_byte_buffer.h',
      'browser/speech/endpointer/endpointer.cc',
      'browser/speech/endpointer/endpointer.h',
      'browser/speech/endpointer/energy_endpointer.cc',
      'browser/speech/endpointer/energy_endpointer.h',
      'browser/speech/endpointer/energy_endpointer_params.cc',
      'browser/speech/endpointer/energy_endpointer_params.h',
      'browser/speech/google_one_shot_remote_engine.cc',
      'browser/speech/google_one_shot_remote_engine.h',
      'browser/speech/google_streaming_remote_engine.cc',
      'browser/speech/google_streaming_remote_engine.h',
      'browser/speech/speech_recognition_dispatcher_host.cc',
      'browser/speech/speech_recognition_dispatcher_host.h',
      'browser/speech/speech_recognition_engine.cc',
      'browser/speech/speech_recognition_engine.h',
      'browser/speech/speech_recognition_manager_impl.cc',
      'browser/speech/speech_recognition_manager_impl.h',
      'browser/speech/speech_recognizer.h',
      'browser/speech/speech_recognizer_impl.cc',
      'browser/speech/speech_recognizer_impl.h',
      'browser/speech/speech_recognizer_impl_android.cc',
      'browser/speech/speech_recognizer_impl_android.h',
      'browser/ssl/ssl_cert_error_handler.cc',
      'browser/ssl/ssl_cert_error_handler.h',
      'browser/ssl/ssl_client_auth_handler.cc',
      'browser/ssl/ssl_client_auth_handler.h',
      'browser/ssl/ssl_error_handler.cc',
      'browser/ssl/ssl_error_handler.h',
      'browser/ssl/ssl_manager.cc',
      'browser/ssl/ssl_manager.h',
      'browser/ssl/ssl_policy_backend.cc',
      'browser/ssl/ssl_policy_backend.h',
      'browser/ssl/ssl_policy.cc',
      'browser/ssl/ssl_policy.h',
      'browser/ssl/ssl_request_info.cc',
      'browser/ssl/ssl_request_info.h',
      'browser/startup_task_runner.cc',
      'browser/startup_task_runner.h',
      'browser/streams/stream.cc',
      'browser/streams/stream.h',
      'browser/streams/stream_context.cc',
      'browser/streams/stream_handle_impl.cc',
      'browser/streams/stream_handle_impl.h',
      'browser/streams/stream_context.h',
      'browser/streams/stream_read_observer.h',
      'browser/streams/stream_registry.cc',
      'browser/streams/stream_registry.h',
      'browser/streams/stream_url_request_job.cc',
      'browser/streams/stream_url_request_job.h',
      'browser/streams/stream_write_observer.h',
      'browser/storage_partition_impl.cc',
      'browser/storage_partition_impl.h',
      'browser/storage_partition_impl_map.cc',
      'browser/storage_partition_impl_map.h',
      'browser/system_message_window_win.cc',
      'browser/system_message_window_win.h',
      'browser/tcmalloc_internals_request_job.cc',
      'browser/tcmalloc_internals_request_job.h',
      'browser/time_zone_monitor.cc',
      'browser/time_zone_monitor.h',
      'browser/time_zone_monitor_android.cc',
      'browser/time_zone_monitor_android.h',
      'browser/time_zone_monitor_chromeos.cc',
      'browser/time_zone_monitor_linux.cc',
      'browser/time_zone_monitor_mac.mm',
      'browser/time_zone_monitor_win.cc',
      'browser/theme_helper_mac.mm',
      'browser/theme_helper_mac.h',
      'browser/tracing/trace_message_filter.cc',
      'browser/tracing/trace_message_filter.h',
      'browser/tracing/etw_system_event_consumer_win.cc',
      'browser/tracing/etw_system_event_consumer_win.h',
      'browser/tracing/trace_uploader.cc',
      'browser/tracing/trace_uploader.h',
      'browser/tracing/tracing_controller_impl.cc',
      'browser/tracing/tracing_controller_impl.h',
      'browser/tracing/tracing_ui.cc',
      'browser/tracing/tracing_ui.h',
      'browser/transition_request_manager.cc',
      'browser/transition_request_manager.h',
      'browser/udev_linux.cc',
      'browser/udev_linux.h',
      'browser/user_metrics.cc',
      'browser/utility_process_host_impl.cc',
      'browser/utility_process_host_impl.h',
      'browser/vibration/vibration_message_filter.cc',
      'browser/vibration/vibration_message_filter.h',
      'browser/vibration/vibration_provider_android.cc',
      'browser/vibration/vibration_provider_android.h',
      'browser/web_contents/aura/gesture_nav_simple.cc',
      'browser/web_contents/aura/gesture_nav_simple.h',
      'browser/web_contents/aura/image_window_delegate.cc',
      'browser/web_contents/aura/image_window_delegate.h',
      'browser/web_contents/aura/overscroll_navigation_overlay.cc',
      'browser/web_contents/aura/overscroll_navigation_overlay.h',
      'browser/web_contents/aura/shadow_layer_delegate.cc',
      'browser/web_contents/aura/shadow_layer_delegate.h',
      'browser/web_contents/aura/window_slider.cc',
      'browser/web_contents/aura/window_slider.h',
      'browser/web_contents/touch_editable_impl_aura.cc',
      'browser/web_contents/touch_editable_impl_aura.h',
      'browser/web_contents/web_contents_android.cc',
      'browser/web_contents/web_contents_android.h',
      'browser/web_contents/web_contents_impl.cc',
      'browser/web_contents/web_contents_impl.h',
      'browser/web_contents/web_contents_view.h',
      'browser/web_contents/web_contents_view_android.cc',
      'browser/web_contents/web_contents_view_android.h',
      'browser/web_contents/web_contents_view_aura.cc',
      'browser/web_contents/web_contents_view_aura.h',
      'browser/web_contents/web_contents_view_guest.cc',
      'browser/web_contents/web_contents_view_guest.h',
      'browser/web_contents/web_contents_view_mac.h',
      'browser/web_contents/web_contents_view_mac.mm',
      'browser/web_contents/web_drag_dest_mac.h',
      'browser/web_contents/web_drag_dest_mac.mm',
      'browser/web_contents/web_drag_source_mac.h',
      'browser/web_contents/web_drag_source_mac.mm',
      'browser/web_contents/web_drag_utils_win.cc',
      'browser/web_contents/web_drag_utils_win.h',
      'browser/webui/content_web_ui_controller_factory.cc',
      'browser/webui/content_web_ui_controller_factory.h',
      'browser/webui/generic_handler.cc',
      'browser/webui/generic_handler.h',
      'browser/webui/shared_resources_data_source.cc',
      'browser/webui/shared_resources_data_source.h',
      'browser/webui/url_data_manager.cc',
      'browser/webui/url_data_manager.h',
      'browser/webui/url_data_manager_backend.cc',
      'browser/webui/url_data_manager_backend.h',
      'browser/webui/url_data_source_impl.cc',
      'browser/webui/url_data_source_impl.h',
      'browser/webui/web_ui_data_source_impl.cc',
      'browser/webui/web_ui_data_source_impl.h',
      'browser/webui/web_ui_controller_factory_registry.cc',
      'browser/webui/web_ui_controller_factory_registry.h',
      'browser/webui/web_ui_impl.cc',
      'browser/webui/web_ui_impl.h',
      'browser/webui/web_ui_message_handler.cc',
      'browser/zygote_host/zygote_host_impl_linux.cc',
      'browser/zygote_host/zygote_host_impl_linux.h',
      'zygote/zygote_linux.cc',
      'zygote/zygote_linux.h',
      'zygote/zygote_main_linux.cc',
      # These files are generated by GRIT.
      '<(SHARED_INTERMEDIATE_DIR)/webkit/grit/devtools_resources.h',
      '<(SHARED_INTERMEDIATE_DIR)/webkit/grit/devtools_resources_map.cc',
      '<(SHARED_INTERMEDIATE_DIR)/webkit/grit/devtools_resources_map.h',
      '<(SHARED_INTERMEDIATE_DIR)/content/browser/tracing/grit/tracing_resources.h',
      '<(SHARED_INTERMEDIATE_DIR)/ui/resources/grit/webui_resources_map.cc',
      # These files are generated by devtools_protocol_constants_generator.py.
      '<(SHARED_INTERMEDIATE_DIR)/content/browser/devtools/devtools_protocol_constants.cc',
      '<(SHARED_INTERMEDIATE_DIR)/content/browser/devtools/devtools_protocol_constants.h',
    ],
    'android_browser_sources': [
      'browser/android/java/gin_java_bound_object.cc',
      'browser/android/java/gin_java_bound_object.h',
      'browser/android/java/gin_java_bound_object_delegate.cc',
      'browser/android/java/gin_java_bound_object_delegate.h',
      'browser/android/java/gin_java_bridge_dispatcher_host.cc',
      'browser/android/java/gin_java_bridge_dispatcher_host.h',
      'browser/android/java/gin_java_method_invocation_helper.cc',
      'browser/android/java/gin_java_method_invocation_helper.h',
      'browser/android/java/gin_java_script_to_java_types_coercion.cc',
      'browser/android/java/gin_java_script_to_java_types_coercion.h',
      'browser/android/java/java_method.cc',
      'browser/android/java/java_method.h',
      'browser/android/java/java_type.cc',
      'browser/android/java/java_type.h',
      'browser/android/java/jni_helper.cc',
      'browser/android/java/jni_helper.h',
    ],
    'webrtc_browser_sources': [
      'browser/media/webrtc_internals.cc',
      'browser/media/webrtc_internals.h',
      'browser/media/webrtc_internals_message_handler.cc',
      'browser/media/webrtc_internals_message_handler.h',
      'browser/media/webrtc_internals_ui.cc',
      'browser/media/webrtc_internals_ui.h',
      'browser/media/webrtc_internals_ui_observer.h',
      'browser/renderer_host/media/peer_connection_tracker_host.cc',
      'browser/renderer_host/media/peer_connection_tracker_host.h',
      'browser/renderer_host/media/webrtc_identity_service_host.cc',
      'browser/renderer_host/media/webrtc_identity_service_host.h',
      'browser/renderer_host/p2p/socket_host.cc',
      'browser/renderer_host/p2p/socket_host.h',
      'browser/renderer_host/p2p/socket_host_tcp.cc',
      'browser/renderer_host/p2p/socket_host_tcp.h',
      'browser/renderer_host/p2p/socket_host_tcp_server.cc',
      'browser/renderer_host/p2p/socket_host_tcp_server.h',
      'browser/renderer_host/p2p/socket_host_throttler.cc',
      'browser/renderer_host/p2p/socket_host_throttler.h',
      'browser/renderer_host/p2p/socket_host_udp.cc',
      'browser/renderer_host/p2p/socket_host_udp.h',
      'browser/renderer_host/p2p/socket_dispatcher_host.cc',
      'browser/renderer_host/p2p/socket_dispatcher_host.h',
    ],
    'compositor_browser_sources': [
      'browser/compositor/browser_compositor_output_surface.cc',
      'browser/compositor/browser_compositor_output_surface.h',
      'browser/compositor/browser_compositor_output_surface_proxy.cc',
      'browser/compositor/browser_compositor_output_surface_proxy.h',
      'browser/compositor/browser_compositor_view_mac.mm',
      'browser/compositor/browser_compositor_view_mac.h',
      'browser/compositor/browser_compositor_view_private_mac.mm',
      'browser/compositor/browser_compositor_view_private_mac.h',
      'browser/compositor/buffer_queue.cc',
      'browser/compositor/buffer_queue.h',
      'browser/compositor/delegated_frame_host.cc',
      'browser/compositor/delegated_frame_host.h',
      'browser/compositor/gpu_process_transport_factory.cc',
      'browser/compositor/gpu_process_transport_factory.h',
      'browser/compositor/image_transport_factory.cc',
      'browser/compositor/image_transport_factory.h',
      'browser/compositor/io_surface_layer_mac.h',
      'browser/compositor/io_surface_layer_mac.mm',
      'browser/compositor/onscreen_display_client.cc',
      'browser/compositor/onscreen_display_client.h',
      'browser/compositor/overlay_candidate_validator_ozone.cc',
      'browser/compositor/overlay_candidate_validator_ozone.h',
      'browser/compositor/owned_mailbox.h',
      'browser/compositor/owned_mailbox.cc',
      'browser/compositor/reflector_impl.cc',
      'browser/compositor/reflector_impl.h',
      'browser/compositor/resize_lock.cc',
      'browser/compositor/resize_lock.h',
      'browser/compositor/software_layer_mac.mm',
      'browser/compositor/software_layer_mac.h',
      'browser/compositor/gpu_browser_compositor_output_surface.cc',
      'browser/compositor/gpu_browser_compositor_output_surface.h',
      'browser/compositor/gpu_surfaceless_browser_compositor_output_surface.cc',
      'browser/compositor/gpu_surfaceless_browser_compositor_output_surface.h',
      'browser/compositor/software_browser_compositor_output_surface.cc',
      'browser/compositor/software_browser_compositor_output_surface.h',
      'browser/compositor/software_output_device_mac.mm',
      'browser/compositor/software_output_device_mac.h',
      'browser/compositor/software_output_device_ozone.cc',
      'browser/compositor/software_output_device_ozone.h',
      'browser/compositor/software_output_device_win.cc',
      'browser/compositor/software_output_device_win.h',
      'browser/compositor/software_output_device_x11.cc',
      'browser/compositor/software_output_device_x11.h',
      'browser/compositor/surface_display_output_surface.cc',
      'browser/compositor/surface_display_output_surface.h',
      'browser/context_factory.cc',
    ],
    'plugin_browser_sources': [
      'browser/pepper_flash_settings_helper_impl.cc',
      'browser/pepper_flash_settings_helper_impl.h',
      'browser/plugin_data_remover_impl.cc',
      'browser/plugin_data_remover_impl.h',
      'browser/plugin_loader_posix.cc',
      'browser/plugin_loader_posix.h',
      'browser/plugin_process_host.cc',
      'browser/plugin_process_host.h',
      'browser/plugin_process_host_mac.cc',
      'browser/plugin_service_impl.cc',
      'browser/plugin_service_impl.h',
      'browser/ppapi_plugin_process_host.cc',
      'browser/ppapi_plugin_process_host.h',
      'browser/renderer_host/pepper/browser_ppapi_host_impl.cc',
      'browser/renderer_host/pepper/browser_ppapi_host_impl.h',
      'browser/renderer_host/pepper/content_browser_pepper_host_factory.cc',
      'browser/renderer_host/pepper/content_browser_pepper_host_factory.h',
      'browser/renderer_host/pepper/pepper_browser_font_singleton_host.cc',
      'browser/renderer_host/pepper/pepper_browser_font_singleton_host.h',
      'browser/renderer_host/pepper/pepper_external_file_ref_backend.cc',
      'browser/renderer_host/pepper/pepper_external_file_ref_backend.h',
      'browser/renderer_host/pepper/pepper_file_io_host.cc',
      'browser/renderer_host/pepper/pepper_file_io_host.h',
      'browser/renderer_host/pepper/pepper_file_ref_host.cc',
      'browser/renderer_host/pepper/pepper_file_ref_host.h',
      'browser/renderer_host/pepper/pepper_file_system_browser_host.cc',
      'browser/renderer_host/pepper/pepper_file_system_browser_host.h',
      'browser/renderer_host/pepper/pepper_flash_file_message_filter.cc',
      'browser/renderer_host/pepper/pepper_flash_file_message_filter.h',
      'browser/renderer_host/pepper/pepper_gamepad_host.cc',
      'browser/renderer_host/pepper/pepper_gamepad_host.h',
      'browser/renderer_host/pepper/pepper_host_resolver_message_filter.cc',
      'browser/renderer_host/pepper/pepper_host_resolver_message_filter.h',
      'browser/renderer_host/pepper/pepper_internal_file_ref_backend.cc',
      'browser/renderer_host/pepper/pepper_internal_file_ref_backend.h',
      'browser/renderer_host/pepper/pepper_lookup_request.h',
      'browser/renderer_host/pepper/pepper_message_filter.cc',
      'browser/renderer_host/pepper/pepper_message_filter.h',
      'browser/renderer_host/pepper/pepper_network_monitor_host.cc',
      'browser/renderer_host/pepper/pepper_network_monitor_host.h',
      'browser/renderer_host/pepper/pepper_network_proxy_host.cc',
      'browser/renderer_host/pepper/pepper_network_proxy_host.h',
      'browser/renderer_host/pepper/pepper_printing_host.cc',
      'browser/renderer_host/pepper/pepper_printing_host.h',
      'browser/renderer_host/pepper/pepper_print_settings_manager.cc',
      'browser/renderer_host/pepper/pepper_print_settings_manager.h',
      'browser/renderer_host/pepper/pepper_renderer_connection.cc',
      'browser/renderer_host/pepper/pepper_renderer_connection.h',
      'browser/renderer_host/pepper/pepper_security_helper.cc',
      'browser/renderer_host/pepper/pepper_security_helper.h',
      'browser/renderer_host/pepper/pepper_socket_utils.cc',
      'browser/renderer_host/pepper/pepper_socket_utils.h',
      'browser/renderer_host/pepper/pepper_tcp_server_socket_message_filter.cc',
      'browser/renderer_host/pepper/pepper_tcp_server_socket_message_filter.h',
      'browser/renderer_host/pepper/pepper_tcp_socket_message_filter.cc',
      'browser/renderer_host/pepper/pepper_tcp_socket_message_filter.h',
      'browser/renderer_host/pepper/pepper_truetype_font.h',
      'browser/renderer_host/pepper/pepper_truetype_font_android.cc',
      'browser/renderer_host/pepper/pepper_truetype_font_host.cc',
      'browser/renderer_host/pepper/pepper_truetype_font_host.h',
      'browser/renderer_host/pepper/pepper_truetype_font_linux.cc',
      'browser/renderer_host/pepper/pepper_truetype_font_list_android.cc',
      'browser/renderer_host/pepper/pepper_truetype_font_list.h',
      'browser/renderer_host/pepper/pepper_truetype_font_list_host.cc',
      'browser/renderer_host/pepper/pepper_truetype_font_list_host.h',
      'browser/renderer_host/pepper/pepper_truetype_font_list_mac.mm',
      'browser/renderer_host/pepper/pepper_truetype_font_list_ozone.cc',
      'browser/renderer_host/pepper/pepper_truetype_font_list_pango.cc',
      'browser/renderer_host/pepper/pepper_truetype_font_list_win.cc',
      'browser/renderer_host/pepper/pepper_truetype_font_mac.mm',
      'browser/renderer_host/pepper/pepper_truetype_font_win.cc',
      'browser/renderer_host/pepper/pepper_udp_socket_message_filter.cc',
      'browser/renderer_host/pepper/pepper_udp_socket_message_filter.h',
      'browser/renderer_host/pepper/quota_reservation.cc',
      'browser/renderer_host/pepper/quota_reservation.h',
      'browser/renderer_host/pepper/ssl_context_helper.cc',
      'browser/renderer_host/pepper/ssl_context_helper.h',
      'public/browser/plugin_service.h',
    ],
  },
  'sources': [
    '<@(public_browser_sources)',
    '<@(private_browser_sources)',
  ],
  'conditions': [
    ['toolkit_views==1', {
      'dependencies': [
        '../ui/events/events.gyp:events',
      ],
    }],
    ['OS == "win"', {
      'dependencies': [
        '../third_party/power_gadget/power_gadget.gyp:power_gadget',
      ],
      'sources': [
        'browser/power_profiler/power_data_provider_ia_win.cc',
        'browser/power_profiler/power_data_provider_ia_win.h',
      ]
    }, { # os != "win"
      'sources': [
        'browser/power_profiler/power_data_provider_dummy.cc'
      ]
    }],
    ['OS!="win" and OS!="mac" and OS!="android" and (OS!="linux" or use_udev==0)', {
      'sources': [
        'browser/gamepad/gamepad_platform_data_fetcher.cc',
      ]
    }],
    ['OS=="ios"', {
      'sources/': [
        # iOS only needs a small portion of content; exclude all the
        # implementation, and re-include what is used.
        ['exclude', '\\.(cc|mm)$'],
        ['include', '_ios\\.(cc|mm)$'],
        ['include', '^public/browser/browser_main_parts\\.cc$'],
        ['include', '^public/browser/content_browser_client\\.cc$'],
        ['include', '^public/browser/favicon_status\\.cc$'],
        ['include', '^public/browser/navigation_details\\.cc$'],
        ['include', '^public/browser/notification_registrar\\.cc$'],
        ['include', '^public/browser/page_navigator\\.cc$'],
        ['include', '^public/browser/web_ui_controller\\.cc'],
        ['include', '^browser/browser_context\\.cc$'],
        ['include', '^browser/browser_main_loop\\.cc$'],
        ['include', '^browser/browser_main_runner\\.cc$'],
        ['include', '^browser/browser_process_sub_thread\\.cc$'],
        ['include', '^browser/browser_thread_impl\\.cc$'],
        ['include', '^browser/browser_url_handler_impl\\.cc$'],
        ['include', '^browser/cert_store_impl\\.cc$'],
        ['include', '^browser/download/download_create_info\\.cc$'],
        ['include', '^browser/notification_service_impl\\.cc$'],
        ['include', '^browser/signed_certificate_timestamp_store_impl\\.cc$'],
        ['include', '^browser/user_metrics\\.cc$'],
        ['include', '^browser/web_contents/navigation_entry_impl\\.cc$'],
      ],
    }, {  # OS!="ios"
      'dependencies': [
        'app/resources/content_resources.gyp:content_resources',
        'app/strings/content_strings.gyp:content_strings',
        'browser/devtools/devtools_resources.gyp:devtools_resources',
        'content_common_mojo_bindings',
        '../cc/cc.gyp:cc',
        '../cc/cc.gyp:cc_surfaces',
        '../mojo/mojo_base.gyp:mojo_application_bindings',
        '../mojo/mojo_base.gyp:mojo_cpp_bindings',
        '../mojo/mojo_base.gyp:mojo_js_bindings',
        '../net/net.gyp:http_server',
        '../storage/storage_browser.gyp:storage',
        '../storage/storage_common.gyp:storage_common',
        '../third_party/angle/src/build_angle.gyp:commit_id',
        '../third_party/leveldatabase/leveldatabase.gyp:leveldatabase',
        '../ui/surface/surface.gyp:surface',
      ],
    }],
    ['enable_printing!=0', {
      'dependencies': [
        '../printing/printing.gyp:printing',
      ],
    }],
    ['OS!="ios" and chrome_multiple_dll!=1', {
      'dependencies': [
        '../third_party/WebKit/public/blink.gyp:blink',
      ],
    }],
    ['OS!="ios"', {
      'dependencies': [
        '../sandbox/sandbox.gyp:sandbox',
      ],
    }],
    ['OS!="android" and OS!="ios"', {
      'dependencies': [
        'browser/tracing/tracing_resources.gyp:tracing_resources',
        '../ui/compositor/compositor.gyp:compositor',
      ],
      'sources': [ '<@(compositor_browser_sources)' ],
    }, {
      'sources/': [
        ['exclude', '^public/browser/context_factory.h'],
      ]
    }],
    ['OS!="ios"', {
      'dependencies': [
        '../third_party/libyuv/libyuv.gyp:libyuv',
      ],
    }],
    ['enable_webrtc==1', {
      'dependencies': [
        '../jingle/jingle.gyp:jingle_glue',
      ],
      'sources': [
        '<@(webrtc_browser_sources)',
      ],
    }],
    ['enable_webrtc==1 and OS=="linux"', {
      'dependencies': [
        '../third_party/libjingle/libjingle.gyp:libjingle_webrtc',
      ],
    }],
    ['enable_webrtc==1 and (OS=="linux" or OS=="mac" or OS=="win")', {
      'sources': [
        'browser/media/capture/desktop_capture_device.cc',
        'browser/media/capture/desktop_capture_device.h',
        'browser/media/capture/desktop_capture_device_aura.cc',
        'browser/media/capture/desktop_capture_device_aura.h',
        'browser/media/capture/desktop_capture_device_uma_types.cc',
        'browser/media/capture/desktop_capture_device_uma_types.h',
      ],
      'dependencies': [
        '../third_party/webrtc/modules/modules.gyp:desktop_capture',
      ],
      'defines': [
        'ENABLE_SCREEN_CAPTURE=1',
      ],
    }],
    ['OS=="win"', {
      'dependencies': [
        # For accessibility
        '../third_party/iaccessible2/iaccessible2.gyp:iaccessible2',
        '../third_party/isimpledom/isimpledom.gyp:isimpledom',
      ],
      'sources/': [
        ['exclude', '^browser/device_sensors/data_fetcher_shared_memory_default.cc$'],
      ],
      'defines': [
        # This prevents the inclusion of atlhost.h which paired
        # with the windows 8 sdk it does the wrong thing.
        '__ATLHOST_H__',
      ],
      'link_settings': {
        'libraries': [
          '-lcomctl32.lib',
          '-ldinput8.lib',
          '-ldwmapi.lib',
          '-ldxguid.lib',
          '-lsensorsapi.lib',
          '-lportabledeviceguids.lib',
        ],
        'msvs_settings': {
          'VCLinkerTool': {
            'DelayLoadDLLs': [
              'dinput8.dll',
              'user32.dll',
              'dwmapi.dll',
            ],
          },
        },
      },
    }],
    ['OS=="linux"', {
      'dependencies': [
        '../sandbox/sandbox.gyp:libc_urandom_override',
      ],
    }],
    ['use_udev == 1', {
      'dependencies': [
        '../build/linux/system.gyp:udev',
      ],
    }, {
      'sources!': [
        'browser/device_monitor_udev.cc',
        'browser/device_monitor_udev.h',
        'browser/gamepad/gamepad_platform_data_fetcher_linux.cc',
        'browser/udev_linux.cc',
        'browser/udev_linux.h',
      ],
    }],
    ['OS=="linux" and use_aura==1', {
      'dependencies': [
        '../build/linux/system.gyp:fontconfig',
      ],
    }],
    ['use_x11==1', {
      'dependencies': [
        '../build/linux/system.gyp:x11',
      ],
    }],
    ['use_pango==1', {
      'dependencies': [
        '../build/linux/system.gyp:pangocairo',
      ],
      'sources!': [
        'browser/renderer_host/pepper/pepper_truetype_font_list_ozone.cc',
      ],
    }],
    ['OS=="android"', {
      'dependencies': [
        '../media/media.gyp:media',
        'content.gyp:content_jni_headers',
      ],
      'defines': ['APPCACHE_USE_SIMPLE_CACHE'],
      'direct_dependent_settings': {
        'defines': ['APPCACHE_USE_SIMPLE_CACHE'],
      },
      'link_settings': {
        'libraries': [
          '-ljnigraphics',
        ],
      },
      'sources/': [
        ['exclude', '^browser/battery_status/battery_status_manager_default\\.cc$'],
        ['exclude', '^browser/device_sensors/data_fetcher_shared_memory_default\\.cc$'],
        ['exclude', '^browser/geolocation/network_location_provider\\.(cc|h)$'],
        ['exclude', '^browser/geolocation/network_location_request\\.(cc|h)$'],
        ['exclude', '^browser/tracing/trace_uploader\\.(cc|h)$'],
        ['exclude', '^browser/tracing/tracing_ui\\.(cc|h)$'],
      ],
      'sources': [
        '<@(android_browser_sources)',
      ],
      'sources!': [
        'browser/browser_ipc_logging.cc',
        'browser/font_list_async.cc',
        'browser/geolocation/device_data_provider.cc',
        'browser/geolocation/empty_device_data_provider.cc',
        'browser/geolocation/wifi_data_provider_common.cc',
        'browser/renderer_host/native_web_keyboard_event.cc',
      ]
    }],
    ['OS=="mac"', {
      'sources/': [
        ['exclude', '^browser/device_sensors/data_fetcher_shared_memory_default.cc$'],
      ],
      'sources!': [
        'browser/geolocation/empty_wifi_data_provider.cc',
        'browser/battery_status/battery_status_manager_default.cc',
      ],
      'dependencies': [
        '../third_party/mozilla/mozilla.gyp:mozilla',
        '../third_party/sudden_motion_sensor/sudden_motion_sensor.gyp:sudden_motion_sensor',
      ],
      'link_settings': {
        'libraries': [
          '$(SDKROOT)/usr/lib/libbsm.dylib',
        ],
      },
    }],
    ['chromeos==1', {
      'dependencies': [
        '../build/linux/system.gyp:dbus',
        '../chromeos/chromeos.gyp:power_manager_proto',
      ],
      'sources!': [
        'browser/battery_status/battery_status_manager_default.cc',
        'browser/battery_status/battery_status_manager_linux.cc',
        'browser/geolocation/wifi_data_provider_linux.cc',
        'browser/power_save_blocker_ozone.cc',
        'browser/power_save_blocker_x11.cc',
      ],
    }],
    ['os_bsd==1', {
      'sources/': [
        ['exclude', '^browser/gamepad/gamepad_platform_data_fetcher_linux\\.cc$'],
      ],
    }],
    ['use_aura==1', {
      'dependencies': [
        '../ui/aura/aura.gyp:aura',
        '../ui/strings/ui_strings.gyp:ui_strings',
      ],
    }, {
      'sources/': [
        ['exclude', '^browser/renderer_host/render_widget_host_view_aura.cc'],
        ['exclude', '^browser/renderer_host/render_widget_host_view_aura.h'],
        ['exclude', '^browser/web_contents/touch_editable_impl_aura.cc'],
        ['exclude', '^browser/web_contents/touch_editable_impl_aura.h'],
        ['exclude', '^browser/renderer_host/ui_events_helper.cc'],
        ['exclude', '^browser/renderer_host/ui_events_helper.h'],
      ],
    }],
    ['enable_plugins==1', {
      'dependencies': [
        '../ppapi/ppapi_internal.gyp:ppapi_ipc',
        '../ppapi/ppapi_internal.gyp:ppapi_shared',
      ],
      'sources': [
        '<@(plugin_browser_sources)',
      ],
    }],
    ['enable_web_speech==1', {
      'dependencies': [
        '../third_party/flac/flac.gyp:libflac',
        '../third_party/speex/speex.gyp:libspeex',
      ],
    }],
    ['enable_web_speech==0 and OS=="android"', {
      'sources/': [
        ['exclude', '^browser/speech/'],
        ['include', '^browser/speech/speech_recognition_dispatcher_host\\.(cc|h)$'],
        ['include', '^browser/speech/speech_recognition_manager_impl\\.(cc|h)$'],
        ['include', '^browser/speech/speech_recognizer\\.h$'],
        ['include', '^browser/speech/speech_recognizer_impl_android\\.(cc|h)$'],
      ],
    }],
    ['OS == "win"', {
      'sources!': [
        'browser/battery_status/battery_status_manager_default.cc',
        'browser/geolocation/empty_wifi_data_provider.cc',
      ],
    }],
    ['OS == "linux" and use_dbus==1', {
      'sources!': [
        'browser/battery_status/battery_status_manager_default.cc',
        'browser/geolocation/empty_wifi_data_provider.cc',
      ],
      'dependencies': [
        '../build/linux/system.gyp:dbus',
        '../dbus/dbus.gyp:dbus',
      ],
    }, {  # OS != "linux" or use_dbus==0
      'sources!': [
        'browser/battery_status/battery_status_manager_linux.cc',
        'browser/geolocation/wifi_data_provider_linux.cc',
      ],
    }],
    ['enable_browser_cdms==1', {
      'sources': [
        'browser/media/cdm/browser_cdm_manager.cc',
        'browser/media/cdm/browser_cdm_manager.h',
        # This works on Android because enable_browser_cdms==1 on Android.
        'browser/media/media_web_contents_observer.cc',
        'browser/media/media_web_contents_observer.h',
      ],
    }],
  ],
}
